网络技术分享
个人经验记录

Linux(centos 7) 安装Nginx 以及报错 yum install zlib Error: Multilib version problems found. 解决方法

今天安装 Nginx出现如下报错:

yum install zlib
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package zlib.x86_64 0:1.2.7-15.el7 will be updated
---> Package zlib.x86_64 0:1.2.7-17.el7 will be an update
--> Finished Dependency Resolution
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:
       
         1. You have an upgrade for zlib which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of zlib of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what). You can try redoing the upgrade with
            --exclude zlib.otherarch ... this should give you an error
            message showing the root cause of the problem.
       
         2. You have multiple architectures of zlib installed, but
            yum can only see an upgrade for one of those architectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.
       
         3. You have duplicate versions of zlib installed already.
            You can use "yum check" to get yum show these errors.
       
       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).
       
       Protected multilib versions: zlib-1.2.7-17.el7.x86_64 != zlib-1.2.7-15.el7.i686

多个库不能共存,解决方法,执行时添加以下参数即可:

yum install -y zlib zlib-devel --setopt=protected_multilib=false

安装Nginx:

1、安装依赖:

yum install gcc

yum install pcre-devel

yum install zlib zlib-devel

yum install openssl openssl-devel

//一次性装以上四个依赖
yum -y install gcc zlib zlib-devel pcre-devel openssl openssl-devel

2、新建安装目录,下载Nginx到nginx目录并解压:

mkdir /usr/local/nginx

wget http://nginx.org/download/nginx-1.14.0.tar.gz

tar -zxvf nginx-1.14.0.tar.gz

3、检查编译安装

./configure --prefix=/usr/local/nginx

make

make install

4、进入sbin目录,启动nginx,即可访问80端口默认页面:

[root@VM_4_84_centos sbin]# pwd
/usr/local/nginx/sbin
[root@VM_4_84_centos sbin]# ./nginx
[root@VM_4_84_centos sbin]# ps -ef | grep nginx
root     22416     1  0 16:33 ?        00:00:00 nginx: master process ./nginx
nobody   22417 22416  0 16:33 ?        00:00:00 nginx: worker process
root     22428  8979  0 16:33 pts/0    00:00:00 grep --color=auto nginx
[root@VM_4_84_centos sbin]# 

赞(0) 打赏
未经允许不得转载:老麻 » Linux(centos 7) 安装Nginx 以及报错 yum install zlib Error: Multilib version problems found. 解决方法

评论 抢沙发

觉得文章有用就打赏一下文章作者

非常感谢你的打赏,我们将继续提供更多优质内容,让我们一起创建更加美好的网络世界!

支付宝扫一扫

微信扫一扫

登录

找回密码

注册